# Interface YamlParser

All Known Implementing Classes:
  `SnakeYamlParser`

public interface YamlParser
Defines an object that can extract ECSV header information from YAML.

Since:
  28 Apr 2020
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`EcsvMeta`
`parseMeta(String[] lines)`
Extracts ECSV header information from lines of YAML.

## Method Details

### parseMeta

EcsvMeta parseMeta(String[] lines) throws EcsvFormatException
Extracts ECSV header information from lines of YAML.

Parameters:
  `lines` - lines of YAML
Returns:
  ECSV metadata structure
Throws:
  `EcsvFormatException`